<?php
if(isset($_GET['ozero']) && isset($_GET['spond_all']) && mysql_result(mysql_query("SELECT COUNT(*) FROM `$db_base`.`kolhoz_pond` WHERE `id_user` = '$ku[id]' AND `id_plant` = '0' AND (`time` = '$time' OR `time` < '$time') AND `cultivator` = '0'"),0)!=0 && $ku['sponder']>0)
{
if($ku['level']>=1 and $ku['level']<=9){$min=1;$max=3;}
if($ku['level']>=10 and $ku['level']<=19){$min=3;$max=7;}
if($ku['level']>=20 and $ku['level']<=39){$min=10;$max=15;}
if($ku['level']>=40 and $ku['level']<=50){$min=20;$max=25;}

$rat=rand($min,$max);
$rat_drakon_act=0;
$rat_sc_act=0;
$rat_lib_act=0;
if(isset($sc_act))$rat_sc_act=$rat*2;
$rat_cultivator_act=(($rat/100)*$sponder_act);
if(isset($drakon_act))$rat_drakon_act=((2/100)*300);
if(isset($lib_act))$rat_lib_act=$rat/2;
if(isset($shmel_act))$rat_cultivator_act=$rat_cultivator_act*2;
$ratt=$rat_drakon_act+$rat_sc_act+$rat_cultivator_act+$rat_school_act+$rat_lib_act;
if($ratt==0)$rat=$rat;
else $rat=$ratt;
if(isset($dexp))$rat=$rat*2;
$orat=0;
$q=mysql_query("SELECT * FROM `$db_base`.`kolhoz_pond` WHERE `id_user` = '$ku[id]' AND `id_plant` = '0' AND (`time` = '$time' OR `time` < '$time') AND `cultivator` = '0'");
while($post=mysql_fetch_array($q))
{
mysql_query("UPDATE `$db_base`.`kolhoz_pond` SET `cultivator` = '1' WHERE `id` = '$post[id]' LIMIT 1");
mysql_query("UPDATE `$db_base`.`kolhoz_user` SET `rating` = '".($ku['rating']+$rat)."' WHERE `id` = '$ku[id]'");
$orat=$rat+$orat;
}
$_SESSION['rating']=$orat;
update_mc($orat);
header("Location:?ozero&".passgen());
exit;
}
?>